/*
All microcontroller specific functions. For porting to another microcontroller,
only these functions needs to be ported.
*/

#ifndef HARDWARE_H
#define HARDWARE_H

#include <stdint.h>

// wait until the last character is sent and then start sending c
void writeChar(uint8_t c);

// wait until a character was receiced and return this character
uint8_t readChar(void);

// clear input buffer
void clearReceiveBuffer(void);

// return value of pin A (true or false)
uint8_t getA(void);

// return value of pin B (true or false)
uint8_t getB(void);

// this is called with 1 kHz
void onInterrupt(void);

// init hardware
void initHardware(void);

// wait the specified number of milliseconds (max: 6.5 seconds)
void delayMs(uint16_t ms);

// disable interrupts
void disableInterrupts(void);

// enabled interrupts
void enableInterrupts(void);

#endif
